{% extends 'base.html' %}
{% block content %}
<main>
    <div>
        <h1>My Tasks</h1>
        {% if task_list.all|length > 0 %}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Start date</th>
                    <th>End date</th>
                    <th>Is completed</th>
                </tr>
            </thead>
            <tbody>
                {% for i in task_list %}
                <tr>
                    <td>{{ i.name }}</td>
                    <td>{{ i.start_date }}</td>
                    <td>{{ i.due_date }}</td>
                    {% if i.is_completed == True %}
                        <td>Done</td>
                    {% else %}
                    <td>
                        <form method="post" action="{% url 'complete_task' i.id %}">
                        {% csrf_token %}
                        <input type="hidden" name="is_completed" value="True"/>
                        <button>Complete</button>
                      </form>
                    </td>
                    {% endif %}
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {% else %}
            <p>You have no tasks</p>
        {% endif %}
    </div>
</main>

{% endblock content %}
